Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom.xinclude
Class MisplacedFallbackException

    Object
      Throwable
          Exception
              nu.xom.xinclude.XIncludeException
                  nu.xom.xinclude.MisplacedFallbackException

All Implemented Interfaces:
  Serializable

public class MisplacedFallbackException
extends XIncludeException

Indicates that an `xinclude:fallback` element was found outside of an `xinclude:include` element.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`MisplacedFallbackException(String message)` Constructs a `MisplacedFallbackException` with the specified detail message.
`MisplacedFallbackException(String message, String uri)` Creates a new `MisplacedFallbackException` with a detail message, line and column numbers, and a URI of the document that caused the exception.

Methods inherited from class nu.xom.xinclude.XIncludeException
`getCause, getURI, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MisplacedFallbackException

    public MisplacedFallbackException(String message)

  Constructs a `MisplacedFallbackException` with the specified detail message.

Parameters:
  `message` - a string indicating the specific problem

### MisplacedFallbackException

    public MisplacedFallbackException(String message,
                                      String uri)

  Creates a new `MisplacedFallbackException` with a detail message, line and column numbers, and a URI of the document that caused the exception.

Parameters:
  `message` - a string indicating the specific problem
  `uri` - the URI of the document that caused this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2005 Elliotte Rusty Harold
elharo@metalab.unc.edu